Bug 496506 - R-core has file conflicts with R-matrix
R-core has file conflicts with R-matrix
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: R (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-19 15:00 EDT by Bruno Wolff III
Modified: 2009-04-21 21:02 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.0.3-8.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-21 21:01:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruno Wolff III 2009-04-19 15:00:05 EDT
Description of problem:
yum updates are failing:
Updating:
 R-core                 i586         2.9.0-1.fc11         rawhide          31 M
Updating for dependencies:
 R                      i586         2.9.0-1.fc11         rawhide          17 k
 R-devel                i586         2.9.0-1.fc11         rawhide          90 k
 libRmath               i586         2.9.0-1.fc11         rawhide          98 k
 libRmath-devel         i586         2.9.0-1.fc11         rawhide         126 k

Transaction Summary
================================================================================
Install      0 Package(s)         
Update       5 Package(s)         
Remove       0 Package(s)         

Total download size: 31 M
Downloading Packages:
--------------------------------------------------------------------------------
Total                                            17 MB/s |  31 MB     00:01     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test


Transaction Check Error:
  file /usr/lib/R/library/Matrix/include/Matrix.h from install of R-core-2.9.0-1.fc11.i586 conflicts with file from package R-Matrix-devel-0.999375-6.fc11.i586
  file /usr/lib/R/library/Matrix/include/Matrix_stubs.c from install of R-core-2.9.0-1.fc11.i586 conflicts with file from package R-Matrix-devel-0.999375-6.fc11.i586
  file /usr/lib/R/library/Matrix/include/cholmod.h from install of R-core-2.9.0-1.fc11.i586 conflicts with file from package R-Matrix-devel-0.999375-6.fc11.i586
  file /usr/lib/R/library/Matrix/CONTENTS from install of R-core-2.9.0-1.fc11.i586 conflicts with file from package R-Matrix-0.999375-6.fc11.i586
  file /usr/lib/R/library/Matrix/DESCRIPTION from install of R-core-2.9.0-1.fc11.i586 conflicts with file from package R-Matrix-0.999375-6.fc11.i586
  file /usr/lib/R/library/Matrix/INDEX from install of R-core-2.9.0-1.fc11.i586 conflicts with file from package R-Matrix-0.999375-6.fc11.i586
  file /usr/lib/R/library/Matrix/Meta/Rd.rds from install of R-core-2.9.0-1.fc11.i586 conflicts with file from package R-Matrix-0.999375-6.fc11.i586

There are a number of other conflicts listed that I didn't include to save space here, but I think you get the idea.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom "spot" Callaway 2009-04-20 09:40:28 EDT
Yeah. R 2.9.0 pulls in R-Matrix. I'll do an obsoletes and EOL R-Matrix.
Comment 2 Fedora Update System 2009-04-21 21:01:07 EDT
rpy-1.0.3-8.fc9, R-2.9.0-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2009-04-21 21:02:01 EDT
rpy-1.0.3-8.fc10, R-2.9.0-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.